## org.apache.batik.svggen
Class SVGGraphics2DIOException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.batik.svggen.SVGGraphics2DIOException

All Implemented Interfaces:
  java.io.Serializable

public class SVGGraphics2DIOException
extends java.io.IOException

Thrown when an SVG Generator method receives an illegal argument in parameter.

See Also:
  Serialized Form

Constructor Summary
`SVGGraphics2DIOException(java.io.IOException ex)` Constructs a new `SVGGraphics2DIOException` with the specified detail message.
`SVGGraphics2DIOException(java.lang.String s)` Constructs a new `SVGGraphics2DIOException` with the specified detail message.
`SVGGraphics2DIOException(java.lang.String s, java.io.IOException ex)` Constructs a new `SVGGraphics2DIOException` with the specified detail message.

Method Summary
`java.io.IOException` `getException()` Returns the original enclosed exception or null if any.
`java.lang.String` `getMessage()` Returns the message of this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SVGGraphics2DIOException

    public SVGGraphics2DIOException(java.lang.String s)

  Constructs a new `SVGGraphics2DIOException` with the specified detail message.

Parameters:
  `s` - the detail message of this exception

### SVGGraphics2DIOException

    public SVGGraphics2DIOException(java.io.IOException ex)

  Constructs a new `SVGGraphics2DIOException` with the specified detail message.

Parameters:
  `ex` - the enclosed exception

### SVGGraphics2DIOException

    public SVGGraphics2DIOException(java.lang.String s,
                                    java.io.IOException ex)

  Constructs a new `SVGGraphics2DIOException` with the specified detail message.

Parameters:
  `s` - the detail message of this exception
  `ex` - the original exception

Method Detail

### getMessage

    public java.lang.String getMessage()

  Returns the message of this exception. If an error message has been specified, returns that one. Otherwise, return the error message of enclosed exception or null if any.

### getException

    public java.io.IOException getException()

  Returns the original enclosed exception or null if any.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.